Opened 21 months ago

Closed 16 months ago

Last modified 16 months ago

#2047 closed task (fixed)

Upgrade deegree from 3.3.20 to 3.4

Reported by: Tfr42 Owned by: live-demo@…
Priority: normal Milestone: OSGeoLive12.0
Component: Projects Keywords:
Cc: tmc@…, osgeolive@…

Description

For the next OSGeoLive Release we plan to upgrade deegree from 3.3.20 to 3.4 version. The deegree 3.4 version requires at least Java SE 8.

Change history (17)

comment:1 in reply to:  description Changed 20 months ago by Tfr42

Cc: tmc@… added

Replying to Tfr42:

For the next OSGeoLive Release we plan to upgrade deegree from 3.3.20 to 3.4 version. The deegree 3.4 version requires at least Java SE 8.

The final release version 3.4.0 for deegree will be published till end of April 2018. This version of deegree will require at least

  • OpenJDK 8
  • Apache Tomcat 8

The distribution type will be a WAR file.

Please use tmc@… for all communication.

comment:2 Changed 18 months ago by darkblueb

bump 12dev alpha1; degree announces 3.4 release today on OSGeo-General mailing list

We're happy to announce the final release version 3.4.0 of deegree
webservices! It has been a while for getting it through the OGC CITE
tests - but it is done now! deegree webservices 3.4.0 has passed the
compliance tests successfully [1].

* New bug fix release: 3.4.0 *

- Download: http://www.deegree.org/Download
- Documentation: http://www.deegree.org/Documentation
- Changelog for 3.4.0 [2].

deegree 3.4 comes with quite a lot of improvements:
* 13 new features
* 112 enhancements
* 171 bug fixes

You can help us by downloading and testing the new deegree release version and
report any issue you may encounter to the github issue tracker [3].

IMPORTANT NOTE:

Please note that deegree webservices 3.3 is reaching end-of-life and
there may be one
more patch release later this year for it - if needed. There are still
some pending pull requests for 3.3. We kindly remind all committers to
support the TMC to get those pull requests handled in timely manner.

If you have not upgraded to deegree 3.4, we encourage you to do so
as soon as possible. The deegree 3.4.x line requires at least JDK 8 as a
runtime environment. So, please be prepared to upgrade your environment soon!

Many thanks also to the sponsors of this year's OSGeo Code Sprint in
Bonn. We got some stuff done there! [4]

Thanks,
deegree Development Team & TMC members

[1] http://www.opengeospatial.org/resource/products/details/?pid=1351
[2]
https://github.com/deegree/deegree3/pulls?utf8=%E2%9C%93&q=is%3Apr+is%3Aclosed+milestone%3A3.4+merged%3A%3E2018-03-01+
[3] https://github.com/deegree/deegree3/issues
[4] https://github.com/deegree/deegree3/wiki/2018-OSGeo-CodeSprint
Last edited 18 months ago by darkblueb (previous) (diff)

comment:3 Changed 18 months ago by Tfr42

We have prepared the changes for upgrading deegree webservices from 3.3.20 to 3.4.1.

Can somebody please check if the changes we made are sufficient? Or in other words - can somebody test the changes?

Shall we prepare a pull request for both repositories?

comment:5 Changed 17 months ago by kalxas

I will prepare a nightly build for this change, thanks!

comment:6 Changed 17 months ago by kalxas

===============================================================
Starting "install_deegree.sh" ...
===============================================================
WARNING: timestamping does nothing in combination with -O. See the manual
for details.

--2018-07-16 13:00:22--  http://repo.deegree.org/content/groups/public/org/deegree/deegree-webservices-tomcat-bundle/3.4.1/deegree-webservices-tomcat-bundle-3.4.1-distribution.zip
Resolving repo.deegree.org (repo.deegree.org)... 136.243.175.5
Connecting to repo.deegree.org (repo.deegree.org)|136.243.175.5|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 56584322 (54M) [application/zip]
Saving to: 'deegree-webservices-3.4.1.zip'

     0K ........ ........ ........ ........ ........ ........  5% 3.57M 14s
  3072K ........ ........ ........ ........ ........ ........ 11% 4.53M 12s
  6144K ........ ........ ........ ........ ........ ........ 16% 4.29M 11s
  9216K ........ ........ ........ ........ ........ ........ 22% 4.49M 10s
 12288K ........ ........ ........ ........ ........ ........ 27% 4.53M 9s
 15360K ........ ........ ........ ........ ........ ........ 33% 4.53M 8s
 18432K ........ ........ ........ ........ ........ ........ 38% 4.53M 8s
 21504K ........ ........ ........ ........ ........ ........ 44% 4.53M 7s
 24576K ........ ........ ........ ........ ........ ........ 50% 4.53M 6s
 27648K ........ ........ ........ ........ ........ ........ 55% 4.53M 5s
 30720K ........ ........ ........ ........ ........ ........ 61% 4.53M 5s
 33792K ........ ........ ........ ........ ........ ........ 66% 4.53M 4s
 36864K ........ ........ ........ ........ ........ ........ 72% 4.42M 3s
 39936K ........ ........ ........ ........ ........ ........ 77% 4.53M 3s
 43008K ........ ........ ........ ........ ........ ........ 83% 4.53M 2s
 46080K ........ ........ ........ ........ ........ ........ 88% 4.39M 1s
 49152K ........ ........ ........ ........ ........ ........ 94% 4.54M 1s
 52224K ........ ........ ........ ........ ........ ....... 100% 4.52M=12s

2018-07-16 13:00:35 (4.43 MB/s) - 'deegree-webservices-3.4.1.zip' saved [56584322/56584322]

--2018-07-16 13:00:35--  http://repo.deegree.org/content/groups/public/org/deegree/deegree-workspace-inspire/3.4.1/deegree-workspace-inspire-3.4.1.deegree-workspace
Resolving repo.deegree.org (repo.deegree.org)... 136.243.175.5
Connecting to repo.deegree.org (repo.deegree.org)|136.243.175.5|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 21228206 (20M) [application/octet-stream]
Saving to: 'deegree-workspace-inspire-3.4.1.deegree-workspace'

     0K ........ ........ ........ ........ ........ ........ 14% 2.89M 6s
  3072K ........ ........ ........ ........ ........ ........ 29% 3.73M 4s
  6144K ........ ........ ........ ........ ........ ........ 44% 4.03M 3s
  9216K ........ ........ ........ ........ ........ ........ 59% 4.18M 2s
 12288K ........ ........ ........ ........ ........ ........ 74% 4.25M 1s
 15360K ........ ........ ........ ........ ........ ........ 88% 4.30M 1s
 18432K ........ ........ ........ ........ ...              100% 4.30M=5.2s

2018-07-16 13:00:40 (3.87 MB/s) - 'deegree-workspace-inspire-3.4.1.deegree-workspace' saved [21228206/21228206]

mv: cannot stat 'deegree-webservices-3.4.1': No such file or directory
2018-07-16 13:00:41 URL:http://download.deegree.org/LiveDVD/FOSS4G2012/deegree_desktop_48x48.png [7334/7334] -> "deegree_desktop_48x48.png" [1]
./install_deegree.sh: line 155: cd: /usr/local/lib/deegree-webservices-3.4.1: No such file or directory
Fixing Tomcat default ports (8080 -> 8033, 8005 -> 8006, 8443 -> 8444) in server.xml
sed: can't read conf/server.xml: No such file or directory
./install_deegree.sh: line 163: cd: webapps/ROOT/: No such file or directory
sed: can't read console/wms/js/sextante.js: No such file or directory
sed: can't read console/wps/openlayers-demo/proxy.jsp: No such file or directory
sed: can't read console/wps/openlayers-demo/sextante.js: No such file or directory
===============================================================
Finished "install_deegree.sh"
Disk Usage1: install_deegree.sh,Filesystem,1K-blocks,Used,Available,Use%,Mounted_on,date
Disk Usage2: install_deegree.sh,-,38183,15920,20295,44%,/,2018-07-16 13:00:41+00:00
Temp Usage: install_deegree.sh,731	/tmp
===============================================================

comment:7 Changed 17 months ago by kalxas

This pull request fails on latest build. Can someone please review? Build log provided above.

comment:9 in reply to:  7 Changed 17 months ago by Tfr42

Replying to kalxas:

This pull request fails on latest build. Can someone please review? Build log provided above.

OK, thanks for the logs. We will review it and provide an updated pull request.

comment:10 Changed 17 months ago by Tfr42

The PR has been updated. See commit https://github.com/OSGeo/OSGeoLive/pull/207/commits/337bb5199ef1ec62c6201a9dc2e3ffa54838e14f for more information. Let's keep fingers crossed that it runs through.

comment:11 Changed 17 months ago by kalxas

New build logs:

===============================================================
Starting "install_deegree.sh" ...
===============================================================
WARNING: timestamping does nothing in combination with -O. See the manual
for details.

--2018-07-30 17:22:02--  http://repo.deegree.org/content/groups/public/org/deegree/deegree-webservices-tomcat-bundle/3.4.1/deegree-webservices-tomcat-bundle-3.4.1-distribution.zip
Resolving repo.deegree.org (repo.deegree.org)... 136.243.175.5
Connecting to repo.deegree.org (repo.deegree.org)|136.243.175.5|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 56584322 (54M) [application/zip]
Saving to: 'deegree-webservices-3.4.1.zip'

     0K ........ ........ ........ ........ ........ ........  5% 3.64M 14s
  3072K ........ ........ ........ ........ ........ ........ 11% 4.14M 12s
  6144K ........ ........ ........ ........ ........ ........ 16% 3.51M 12s
  9216K ........ ........ ........ ........ ........ ........ 22% 3.30M 12s
 12288K ........ ........ ........ ........ ........ ........ 27% 3.45M 11s
 15360K ........ ........ ........ ........ ........ ........ 33% 3.50M 10s
 18432K ........ ........ ........ ........ ........ ........ 38% 3.49M 9s
 21504K ........ ........ ........ ........ ........ ........ 44% 3.50M 8s
 24576K ........ ........ ........ ........ ........ ........ 50% 3.55M 8s
 27648K ........ ........ ........ ........ ........ ........ 55% 3.66M 7s
 30720K ........ ........ ........ ........ ........ ........ 61% 3.91M 6s
 33792K ........ ........ ........ ........ ........ ........ 66% 4.29M 5s
 36864K ........ ........ ........ ........ ........ ........ 72% 4.54M 4s
 39936K ........ ........ ........ ........ ........ ........ 77% 4.54M 3s
 43008K ........ ........ ........ ........ ........ ........ 83% 4.41M 2s
 46080K ........ ........ ........ ........ ........ ........ 88% 4.54M 2s
 49152K ........ ........ ........ ........ ........ ........ 94% 4.55M 1s
 52224K ........ ........ ........ ........ ........ ....... 100% 4.55M=14s

2018-07-30 17:22:17 (3.89 MB/s) - 'deegree-webservices-3.4.1.zip' saved [56584322/56584322]

--2018-07-30 17:22:17--  http://repo.deegree.org/content/groups/public/org/deegree/deegree-workspace-inspire/3.4.1/deegree-workspace-inspire-3.4.1.deegree-workspace
Resolving repo.deegree.org (repo.deegree.org)... 136.243.175.5
Connecting to repo.deegree.org (repo.deegree.org)|136.243.175.5|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 21228206 (20M) [application/octet-stream]
Saving to: 'deegree-workspace-inspire-3.4.1.deegree-workspace'

     0K ........ ........ ........ ........ ........ ........ 14% 2.93M 6s
  3072K ........ ........ ........ ........ ........ ........ 29% 3.80M 4s
  6144K ........ ........ ........ ........ ........ ........ 44% 4.08M 3s
  9216K ........ ........ ........ ........ ........ ........ 59% 4.22M 2s
 12288K ........ ........ ........ ........ ........ ........ 74% 4.29M 1s
 15360K ........ ........ ........ ........ ........ ........ 88% 4.33M 1s
 18432K ........ ........ ........ ........ ...              100% 4.35M=5.2s

2018-07-30 17:22:23 (3.92 MB/s) - 'deegree-workspace-inspire-3.4.1.deegree-workspace' saved [21228206/21228206]

2018-07-30 17:22:23 URL:http://download.deegree.org/LiveDVD/FOSS4G2012/deegree_desktop_48x48.png [7334/7334] -> "deegree_desktop_48x48.png" [1]
Fixing Tomcat default ports (8080 -> 8033, 8005 -> 8006, 8443 -> 8444) in server.xml
sed: can't read console/wms/js/sextante.js: No such file or directory
sed: can't read console/wps/openlayers-demo/proxy.jsp: No such file or directory
sed: can't read console/wps/openlayers-demo/sextante.js: No such file or directory
===============================================================
Finished "install_deegree.sh"
Disk Usage1: install_deegree.sh,Filesystem,1K-blocks,Used,Available,Use%,Mounted_on,date
Disk Usage2: install_deegree.sh,-,38183,16077,20138,45%,/,2018-07-30 17:22:24+00:00
Temp Usage: install_deegree.sh,640	/tmp
===============================================================

comment:13 Changed 16 months ago by kalxas

New commits fixing the issue are here: https://github.com/kalxas/OSGeoLive/commits/PR207

comment:14 Changed 16 months ago by kalxas

Cc: osgeolive@… added

comment:17 Changed 16 months ago by kalxas

Resolution: fixed
Status: newclosed

Thanks!

Note: See TracTickets for help on using tickets.